version: "3.3"
services:
  db:
    image: postgres
    volumes:
      - ./instance/db:/var/lib/postgresql/data/pgdata
    env_file:
      - .env
    environment:
      - PGDATA=/var/lib/postgresql/data/pgdata
    networks:
      - statir_network

  backend:
    image: registry.gitlab.com/jordane.pelloux/statir/backend
    depends_on:
      - db
    env_file:
      - .env
    networks:
      - statir_network

  frontend:
    image: registry.gitlab.com/jordane.pelloux/statir/front
    depends_on:
      - db
      - backend
    env_file:
      - .env
    networks:
      - statir_network

networks:
  statir_network:
